Name:           eyesight
Summary:        Hawaii desktop image viewer
Version:        0.1.2
Release:        6%{?dist}
Group:          Applications/System
License:        GPLv2+
URL:            https://github.com/mauios/eyesight
Source0:        http://sourceforge.net/projects/mauios/files/hawaii/%{name}/hawaii-%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  cmake
BuildRequires:  bzip2-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  desktop-file-utils

%description
Image viewer for the Hawaii desktop.


%prep
%setup -q -n hawaii-%{name}-%{version}


%build
%cmake .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

desktop-file-install --delete-original                          \
        --dir %{buildroot}%{_datadir}/applications           \
        %{buildroot}%{_datadir}/applications/*.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
BugReportURL: https://github.com/hawaii-desktop/eyesight/issues/8
SentUpstream: 2014-09-17
-->
<application>
  <id type="desktop">eyesight.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>View and rotate images</summary>
  <description>
    <p>
      Eyesight is a simple image viewer that allows the user to view either a
      single image, or a whole directory of images.
      Eyesight also allows the user to rotate the image, and save the result.
    </p>
  </description>
  <url type="homepage">https://github.com/mauios/eyesight</url>
  <screenshots>
    <screenshot type="default">https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/eyesight/a.png</screenshot>
  </screenshots>
</application>
EOF

%find_lang %{name} --all-name --with-qt


%files -f %{name}.lang
%{_bindir}/eyesight
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/eyesight.desktop
%dir %{_datadir}/eyesight
%dir %{_datadir}/eyesight/translations
# These short-named translations probably need renaming upstream, since they
# are not picked up by find_lang
%{_datadir}/eyesight/translations/??.qm
%doc COPYING
%doc README.md


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.2-5
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 0.1.2-4
- Add an AppData file for the software center

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Nov 10 2013 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.1.2-1
- Update to latest version

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.1-3
- Bulk sad and useless attempt at consistent SPEC file formatting

* Tue Oct 15 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.1-2
- Use %%find_lang properly
- Clarify licence
- Remove old RPM relics

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.1-1
- Initial packaging
